/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Endpoint Exceptions API client for tests
 *   version: Bundle (no version)
 */

import {
  ELASTIC_HTTP_VERSION_HEADER,
  X_ELASTIC_INTERNAL_ORIGIN_REQUEST,
} from '@kbn/core-http-common';

import { CreateEndpointListItemRequestBodyInput } from '@kbn/securitysolution-endpoint-exceptions-common/api/create_endpoint_list_item/create_endpoint_list_item.gen';
import { DeleteEndpointListItemRequestQueryInput } from '@kbn/securitysolution-endpoint-exceptions-common/api/delete_endpoint_list_item/delete_endpoint_list_item.gen';
import { FindEndpointListItemsRequestQueryInput } from '@kbn/securitysolution-endpoint-exceptions-common/api/find_endpoint_list_item/find_endpoint_list_item.gen';
import { ReadEndpointListItemRequestQueryInput } from '@kbn/securitysolution-endpoint-exceptions-common/api/read_endpoint_list_item/read_endpoint_list_item.gen';
import { UpdateEndpointListItemRequestBodyInput } from '@kbn/securitysolution-endpoint-exceptions-common/api/update_endpoint_list_item/update_endpoint_list_item.gen';
import { routeWithNamespace } from '../../common/utils/security_solution';
import { FtrProviderContext } from '../ftr_provider_context';

export function SecuritySolutionApiProvider({ getService }: FtrProviderContext) {
  const supertest = getService('supertest');

  return {
    /**
     * Create an endpoint exception list, which groups endpoint exception list items. If an endpoint exception list already exists, an empty response is returned.
     */
    createEndpointList(kibanaSpace: string = 'default') {
      return supertest
        .post(routeWithNamespace('/api/endpoint_list', kibanaSpace))
        .set('kbn-xsrf', 'true')
        .set(ELASTIC_HTTP_VERSION_HEADER, '2023-10-31')
        .set(X_ELASTIC_INTERNAL_ORIGIN_REQUEST, 'kibana');
    },
    /**
     * Create an endpoint exception list item, and associate it with the endpoint exception list.
     */
    createEndpointListItem(props: CreateEndpointListItemProps, kibanaSpace: string = 'default') {
      return supertest
        .post(routeWithNamespace('/api/endpoint_list/items', kibanaSpace))
        .set('kbn-xsrf', 'true')
        .set(ELASTIC_HTTP_VERSION_HEADER, '2023-10-31')
        .set(X_ELASTIC_INTERNAL_ORIGIN_REQUEST, 'kibana')
        .send(props.body as object);
    },
    /**
     * Delete an endpoint exception list item using the `id` or `item_id` field.
     */
    deleteEndpointListItem(props: DeleteEndpointListItemProps, kibanaSpace: string = 'default') {
      return supertest
        .delete(routeWithNamespace('/api/endpoint_list/items', kibanaSpace))
        .set('kbn-xsrf', 'true')
        .set(ELASTIC_HTTP_VERSION_HEADER, '2023-10-31')
        .set(X_ELASTIC_INTERNAL_ORIGIN_REQUEST, 'kibana')
        .query(props.query);
    },
    /**
     * Get a list of all endpoint exception list items.
     */
    findEndpointListItems(props: FindEndpointListItemsProps, kibanaSpace: string = 'default') {
      return supertest
        .get(routeWithNamespace('/api/endpoint_list/items/_find', kibanaSpace))
        .set('kbn-xsrf', 'true')
        .set(ELASTIC_HTTP_VERSION_HEADER, '2023-10-31')
        .set(X_ELASTIC_INTERNAL_ORIGIN_REQUEST, 'kibana')
        .query(props.query);
    },
    /**
     * Get the details of an endpoint exception list item using the `id` or `item_id` field.
     */
    readEndpointListItem(props: ReadEndpointListItemProps, kibanaSpace: string = 'default') {
      return supertest
        .get(routeWithNamespace('/api/endpoint_list/items', kibanaSpace))
        .set('kbn-xsrf', 'true')
        .set(ELASTIC_HTTP_VERSION_HEADER, '2023-10-31')
        .set(X_ELASTIC_INTERNAL_ORIGIN_REQUEST, 'kibana')
        .query(props.query);
    },
    /**
     * Update an endpoint exception list item using the `id` or `item_id` field.
     */
    updateEndpointListItem(props: UpdateEndpointListItemProps, kibanaSpace: string = 'default') {
      return supertest
        .put(routeWithNamespace('/api/endpoint_list/items', kibanaSpace))
        .set('kbn-xsrf', 'true')
        .set(ELASTIC_HTTP_VERSION_HEADER, '2023-10-31')
        .set(X_ELASTIC_INTERNAL_ORIGIN_REQUEST, 'kibana')
        .send(props.body as object);
    },
  };
}

export interface CreateEndpointListItemProps {
  body: CreateEndpointListItemRequestBodyInput;
}
export interface DeleteEndpointListItemProps {
  query: DeleteEndpointListItemRequestQueryInput;
}
export interface FindEndpointListItemsProps {
  query: FindEndpointListItemsRequestQueryInput;
}
export interface ReadEndpointListItemProps {
  query: ReadEndpointListItemRequestQueryInput;
}
export interface UpdateEndpointListItemProps {
  body: UpdateEndpointListItemRequestBodyInput;
}
